Subject: Re[2]: terms
From: Paul-Kenji Cahier <[email-masked]>
To: "Lucifer" <[email-masked]>
Cc: [email-masked]
Date: Fri, 7 Nov 2003 09:26:58 +0100

I've tried that but it doesnt work,

i mean that when i do a ls in a dir with jp/chinese named files it
will just put "?" everywhere....
I'm running a jp win2k with jp locales

any idea?

> ----- Original Message ----- 
> From: "Paul-Kenji Cahier" <[email-masked]>
> To: <[email-masked]>
> Sent: Friday, November 07, 2003 1:38 AM
> Subject: terms

>> Hello all,
>> 
>> I've been trying to make other terminals than rxvt work without the X
>> server but without success yet... The problem of the rxvt that comes
>> with cygwin is that as the original rxvt it doesnt support special
>> charsets, and hence cant display correctly japanese characters, or
>> chinese characters, or russian, etc. The alternative under linux would
>> be to use either mlterm or rxvt-beta, mlterm being particularly useful
>> as it allows multiple encoding in a same term.

> I am using Simplified Chinese version of win2k and I put the following lines in my ~/.Xdefaults:
> [code]
> rxvt*font: fixedsys
> rxvt*boldFont: fixedsys
> rxvt*mfont: fixedsys
> rxvt*multibyte_cursor:True
> rxvt*multichar_encoding:big5
> [/code]
> then the rxvt windows shipped with cygwin can display Chinese characters correctly (just as notepad.exe).

> However, if I change the rxvt*multichar_encoding line to gb, it cannot display correct gb2312 characters.  It is confusing...

> [snip]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/